Subject: Re: linux-next: failing to fetch the dmi tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 16 Jul 2020 22:55:22 +1000

Hi Jean,

On Thu, 16 Jul 2020 13:21:34 +0200 Jean Delvare <[email-masked]> wrote:
>
> On Wed, 15 Jul 2020 11:37:43 +0200, Jean Delvare wrote:
> > On Mon, 13 Jul 2020 09:11:02 +1000, Stephen Rothwell wrote:  
> > > Jean, I don't suppose you would like to produce a git tree for me to
> > > fetch instead, as yours is the last quilt series I fetch (apart from
> > > Andrew's which is special).    
> > 
> > Actually, feel free to suppose. While a quilt tree fits my current
> > workflow better, I don't want to be the guy who makes your life more
> > difficult. Let me give it a try.  
> 
> OK, so my old for-next branch in quilt format is still at:
> 
> http://jdelvare.nerim.net/devel/linux/jdelvare-dmi/
> 
> and what should be a git equivalent of it is at:
> 
> git://git.kernel.org/pub/scm/linux/kernel/git/jdelvare/staging.git dmi-for-next
> 
> If the latter works for you then I shall be ready to switch to it
> officially. If there's anything wrong, please let me know.

It all looks good to me.  I will use that from tomorrow if that is OK
with you.  I will not remove the parts of my process to cope with quilt
trees for a while just in case it becomes a burden for you.

> Will you curse me if I ever rebase this branch?

Not publicly :-)  Actually it only irritates me when it happens to
often for for no apparent reason, so feel free (many others do :-)).

Here is my normal spiel:

Thanks for adding your subsystem tree as a participant of linux-next.  As
you may know, this is not a judgement of your code.  The purpose of
linux-next is for integration testing and to lower the impact of
conflicts between subsystems in the next merge window. 

You will need to ensure that the patches/commits in your tree/series have
been:
     * submitted under GPL v2 (or later) and include the Contributor's
        Signed-off-by,
     * posted to the relevant mailing list,
     * reviewed by you (or another maintainer of your subsystem tree),
     * successfully unit tested, and 
     * destined for the current or next Linux merge window.

Basically, this should be just what you would send to Linus (or ask him
to fetch).  It is allowed to be rebased if you deem it necessary.

-- 
Cheers,
Stephen Rothwell 
[email-masked]